<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\VehicleEntry;
use App\Models\User;

class VehicleEntryPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any VehicleEntry');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, VehicleEntry $vehicleentry): bool
    {
        return $user->checkPermissionTo('view VehicleEntry');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create VehicleEntry');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, VehicleEntry $vehicleentry): bool
    {
        return $user->checkPermissionTo('update VehicleEntry');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, VehicleEntry $vehicleentry): bool
    {
        return $user->checkPermissionTo('delete VehicleEntry');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any VehicleEntry');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, VehicleEntry $vehicleentry): bool
    {
        return $user->checkPermissionTo('restore VehicleEntry');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any VehicleEntry');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, VehicleEntry $vehicleentry): bool
    {
        return $user->checkPermissionTo('replicate VehicleEntry');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder VehicleEntry');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, VehicleEntry $vehicleentry): bool
    {
        return $user->checkPermissionTo('force-delete VehicleEntry');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any VehicleEntry');
    }
}
